package de.ivu.elect.presentation.statistik.action;

import javax.inject.Inject;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.business.statistik.entity.StatistikLauf;
import de.ivu.elect.presentation.View;
import de.ivu.elect.presentation.statistik.exchange.StatistikLaufExportView;


import static java.util.Arrays.asList;

/**
 *  on 31.01.2017.
 */
public class StatistikLaufExportAction extends AbstractStatistikLaufAction {

  @Override
  protected UseCasePermission getRequiredPermission() {
    return UseCasePermission.STATISTIK_LAUF_EXPORTIEREN;
  }

  @View
  @Inject
  StatistikLaufExportView statistikLaufExportView;

  @Override
  protected String doIt(StatistikLauf statistikLauf) {
    return statistikLaufExportView.init(asList(statistikLauf));
  }

  @Override
  public String getLabelKey() {
    return "entity.edit.action.export";
  }

  @Override
  public String getIcon() {
    return appIcons.getIconExport();
  }
}
